PTHREAD_STACKSEG_NP(3)

NAME
pthread_stackseg_np - return stack size and location

SYNOPSIS
libpthread
#include <pthread_np.h>
int
pthread_stackseg_np(pthread_t thread, stack_t *sinfo);

DESCRIPTION
The pthread_stackseg_np() function returns information about the given thread's stack. A stack_t is the same as a struct sigaltstack (see sigaltstack(2)) except the ss_sp variable points to the top of the stack instead of the base.

RETURN VALUES
If successful, the pthread_stackseg_np() function will return 0. Otherwise an error number will be returned to indicate the error.

ERRORS
The pthread_stackseg_np() function will fail if:

[EAGAIN]
    Stack information for the given thread is not currently available. There is no guarantee that the given thread's stack information will ever become available.

SEE ALSO
sigaltstack(2), pthreads(3)

STANDARDS
pthread_stackseg_np() is a non-portable extension to p1003.1-2001.